### Hierarchy

- PeerCertificate
  - DetailedPeerCertificate

## Index

### Properties

- exponent
- ext_key_usage
- fingerprint
- infoAccess
- issuer
- issuerCertificate
- modulus
- raw
- serialNumber
- subject
- subjectaltname
- valid_from
- valid_to

## Properties

### exponent

exponent: string

Inherited from PeerCertificate.exponent

- Defined in node_modules/@types/node/tls.d.ts:43

### ext_key_usage

ext_key_usage: string[]

Inherited from PeerCertificate.ext_key_usage

- Defined in node_modules/@types/node/tls.d.ts:47

### fingerprint

fingerprint: string

Inherited from PeerCertificate.fingerprint

- Defined in node_modules/@types/node/tls.d.ts:46

### infoAccess

infoAccess: object

Inherited from PeerCertificate.infoAccess

- Defined in node_modules/@types/node/tls.d.ts:41

#### Type declaration

- ##### [index: string]: string[] | undefined

### issuer

issuer: Certificate

Inherited from PeerCertificate.issuer

- Defined in node_modules/@types/node/tls.d.ts:39

### issuerCertificate

issuerCertificate: DetailedPeerCertificate

- Defined in node_modules/@types/node/tls.d.ts:53

### modulus

modulus: string

Inherited from PeerCertificate.modulus

- Defined in node_modules/@types/node/tls.d.ts:42

### raw

raw: Buffer

Inherited from PeerCertificate.raw

- Defined in node_modules/@types/node/tls.d.ts:49

### serialNumber

serialNumber: string

Inherited from PeerCertificate.serialNumber

- Defined in node_modules/@types/node/tls.d.ts:48

### subject

subject: Certificate

Inherited from PeerCertificate.subject

- Defined in node_modules/@types/node/tls.d.ts:38

### subjectaltname

subjectaltname: string

Inherited from PeerCertificate.subjectaltname

- Defined in node_modules/@types/node/tls.d.ts:40

### valid_from

valid_from: string

Inherited from PeerCertificate.valid_from

- Defined in node_modules/@types/node/tls.d.ts:44

### valid_to

valid_to: string

Inherited from PeerCertificate.valid_to

- Defined in node_modules/@types/node/tls.d.ts:45

Generated using TypeDoc